package com.tappli.android.asynctasksample;

import java.util.Date;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.TextView;

import com.tappli.android.asynctasksample.SampleTask.SampleListener;

public class MainActivity extends Activity implements OnClickListener, SampleListener {
	private TextView text = null;
	private TextView button = null;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		text = (TextView) findViewById(R.id.text);
		button = (TextView) findViewById(R.id.button);
		button.setOnClickListener(this);
	}

	@Override
	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.button:
			//開始時刻を表示
			text.setText(new Date().toLocaleString());
			
			//バックグラウンド処理を開始
			SampleTask task = new SampleTask(this);
			task.execute(10000l);	//10秒待つ指定
			
			//ボタンを非活性にする
			button.setEnabled(false);
			//プログレスダイアログ出すのも良いかも
		}
	}

	@Override
	public void onFinish(Date result) {
		//処理が終わったら呼ばれる
		
		//ボタンを活性にする
		button.setEnabled(true);
		
		//開始時刻と終了時刻を改行で連結して表示
		String str = text.getText().toString();
		text.setText(str + "\n" + result.toLocaleString());
	}
}